Mandrake Linux Security Advisory : file (MDKSA-2007:114)

High Nessus Plugin ID 25439


The remote Mandrake Linux host is missing one or more security updates.


The update to correct CVE-2007-1536 (MDKSA-2007:067), a buffer overflow in the file_printf() function, introduced a new integer overflow as reported by Colin Percival. This flaw, if an attacker could trick a user into running file on a specially crafted file, could possibly lead to the execution of arbitrary code with the privileges of the user running file (CVE-2007-2799).

As well, in file 4.20, flawed regular expressions to identify OS/2 REXX files could lead to a denial of service via CPU consumption (CVE-2007-2026).

The updated packages have been patched to correct these issues.


Update the affected packages.

Plugin Details

Severity: High

ID: 25439

File Name: mandrake_MDKSA-2007-114.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2007/06/07

Modified: 2015/03/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:file, p-cpe:/a:mandriva:linux:lib64magic1, p-cpe:/a:mandriva:linux:lib64magic1-devel, p-cpe:/a:mandriva:linux:lib64magic1-static-devel, p-cpe:/a:mandriva:linux:libmagic1, p-cpe:/a:mandriva:linux:libmagic1-devel, p-cpe:/a:mandriva:linux:libmagic1-static-devel, p-cpe:/a:mandriva:linux:python-magic, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/06/05

Reference Information

CVE: CVE-2007-2026, CVE-2007-2799

BID: 24146

MDKSA: 2007:114

CWE: 189